Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#1990 closed defect

sys/resource.h lacking getrusage

Reported by: Ralf Corsepius Owned by: Ralf Corsepius
Priority: normal Milestone: 4.11
Component: tool/newlib Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

RTEMS supplies a version of "getrusage" in cpukit/libcsupport/src/getrusage.c, but rtems-newlib doesn't supply a declaration.

According to
http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/sys_resource.h.html
getrusage should be added to rtems-newlib's sys/resource.h

Change History (5)

comment:1 Changed on 12/13/11 at 04:53:31 by Ralf Corsepius

RTEMS supplies a version of "getrusage" in cpukit/libcsupport/src/getrusage.c, but rtems-newlib doesn't supply a declaration.

According to
http://pubs.opengroup.org/onlinepubs/9699919799/basedefs/sys_resource.h.html
getrusage should be added to rtems-newlib's sys/resource.h

comment:2 Changed on 11/22/14 at 15:35:54 by Joel Sherrill

Description: modified (diff)
Milestone: 4.11

There is still no prototype in newlib's sys/resource.h

comment:3 Changed on 11/23/14 at 15:14:54 by Joel Sherrill

Version: unknown4.11

comment:4 Changed on 11/23/14 at 15:41:17 by Joel Sherrill

Proposed patch submitted to newlib

comment:5 Changed on 11/24/14 at 14:16:15 by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch committed to newlib.

Note: See TracTickets for help on using tickets.